use urv2_ms;
go

set identity_insert TAB_REP_COL on;
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (1, 3, 1, 'очередной отпуск');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (2, 3, 2, 'учебный отпуск');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (3, 3, 3, 'гос. обязанности');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (4, 3, 4, 'больничный');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (5, 3, 5, 'отпуска по беременности, родам, уходу за детьми');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (6, 3, 6, 'отпуска без сохранения з/п', 2);
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (7, 3, 7, 'неявки по невыясненным причинам', 1);
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (8, 3, 8, 'потери рабочего времени', 3);

insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (11, 2, 1, 'очередной отпуск');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (12, 2, 2, 'учебный отпуск');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (13, 2, 3, 'гос. обязанности');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (14, 2, 4, 'больничный');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL) values (15, 2, 5, 'отпуска по беременности, родам, уходу за детьми');
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (16, 2, 6, 'отпуска без сохранения з/п', 2);
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (17, 2, 7, 'неявки по невыясненным причинам', 1);
insert into TAB_REP_COL(CODE, COD_TR, NUMCOL, TTL_COL, NN) values (18, 2, 8, 'потери рабочего времени', 3);
set identity_insert TAB_REP_COL off;

insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 1, 'основной и дополнительные отпуска', 'коды 8-10');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 2, 'отпуска учебные, творческие и др.', 'коды 11-15, 17,22');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 3, 'отпуска по беременности и родам, по уходу за ребенком', 'код 16');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 4, 'отпуска без сохранения з/п по соглашению сторон', 'код 18', 2);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 5, 'отпуска без сохранения з/п на период остановки выполнения работ', 'код 19');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 6, 'перевод на неполный рабочий день (неделю)', 'код 20');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 7, 'временный перевод на др. предприятие', 'код 21');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL) values (1, 8, 'выполнение государственных и гражданских обязанностей', 'код 22');
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 9, 'простои', 'код 23', 0);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 10, 'прогулы', 'код 24', 0);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 11, 'забастовки', 'код 25', 0);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 12, 'временная нетрудоспособность', 'коды 26-27', 0);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 13, 'неявки по невыясненным причинам', 'код 28', 1);
insert into TAB_REP_COL(COD_TR, NUMCOL, TTL_COL, KOD_COL, NN) values (1, 14, 'другие', 'коды 29-30', 0);
go
